Bug 471044 - SELinux is preventing updatedb (locate_t) "getattr" fusefs_t
SELinux is preventing updatedb (locate_t) "getattr" fusefs_t
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 10:30 EST by Kevin Francis
Modified: 2009-01-08 09:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 09:27:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SELinux alerts (157.57 KB, text/plain)
2008-11-11 10:33 EST, Kevin Francis
no flags Details

  None (edit)
Description Kevin Francis 2008-11-11 10:30:42 EST
Description of problem:
When updatedb runs the first time, it causes SELinux to throw a context violation notice.

Version-Release number of selected component (if applicable):


How reproducible:
Not sure, first run?

Steps to Reproduce:
1. Install Fedora 10 preview
2. Leave it on overnight (and logged in)
3. Find the notice in the tray when morning comes
  
Actual results:


Expected results:


Additional info:
Comment 1 Kevin Francis 2008-11-11 10:33:28 EST
Created attachment 323180 [details]
SELinux alerts

This is the list of alerts.
Comment 2 Kevin Francis 2008-11-11 10:34:58 EST
(In reply to comment #0)
> Description of problem:
> When updatedb runs the first time, it causes SELinux to throw a context
> violation notice.

This appears to no longer be true. The alerts I've just attached are from the second manual attempt I've done.

Btw, updatedb completes its tasks fine (or appears to) as I can locate files.
Comment 3 Daniel Walsh 2008-11-13 08:34:41 EST
# audit2allow -M mypol -l -i /var/log/audit/audit.log
# semodule -i mypol.pp

Fixed in selinux-policy-3.5.13-20.fc10
Comment 4 Bug Zapper 2008-11-26 00:11:49 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.